﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_day_of_week_actions
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Display a message that depends on the day of the week.
        private void Form1_Load(object sender, EventArgs e)
        {
            // Set the label with a switch statement.
            switch (DateTime.Now.DayOfWeek)
            {
                case DayOfWeek.Monday:
                    lblGreeting1.Text = "It's Manic Monday!";
                    break;
                case DayOfWeek.Tuesday:
                    lblGreeting1.Text = "It's Terriffic Tuesday";
                    break;
                case DayOfWeek.Wednesday:
                    lblGreeting1.Text = "It's Happy Hump Day!";
                    break;
                case DayOfWeek.Thursday:
                    lblGreeting1.Text = "It's Thirsty Thursday";
                    break;
                case DayOfWeek.Friday:
                    lblGreeting1.Text = "It's Freaky Friday";
                    break;
                case DayOfWeek.Saturday:
                    lblGreeting1.Text = "It's Satisfying Saturday";
                    break;
                case DayOfWeek.Sunday:
                    lblGreeting1.Text = "It's Sleepy Sunday";
                    break;
            }

            // Set a label by using an array.
            string[] greetings = 
            {
                "Sleepy Sunday",
                "Manic Monday!",
                "Terriffic Tuesday",
                "Happy Hump Day!",
                "Thirsty Thursday",
                "Freaky Friday",
                "Satisfying Saturday",
            };
            lblGreeting2.Text = "It's " + greetings[(int)DateTime.Now.DayOfWeek];
        }
    }
}
